/* Objectif : Piloter un bras 2 axes par l'accéléromètre d'un smartphone en Bluetooth
http://www.ebay.fr/itm/2-Axis-Original-FPV-Special-dedicated-Nylon-PTZ-NO-Servo-for-SG90-MG90-Servo-/400567245823?pt=LH_DefaultDomain_0&hash=item5d43ab1bff
programme du smatphone joint dans le dossier : Accelerometre.aia
puis à importer dans http://appinventor.mit.edu/explore/
Créer un compte puis Projects\Import project (.aia)from my computeur...
*/
#include <Servo.h> 
 
Servo servo1;    // create servo object to control a servo 
Servo servo2;    // 
 
int pos1=90, pos2=20;    // variable de stokage du servo moteur


void setup() 
{ 
  servo1.attach(2);  // Servo1 controlé par pin 2 
  servo2.attach(7);  // Servo2 controlé par pin 2 
  Serial.begin(9600);
} 
 
 
void loop() 
{ 
  if (Reception()) {
      pos2=map(pos2,0,90,52,130);       // Recalcule l'angle afin de tenir compte des butées
      pos1=constrain(pos1,0,178);
      pos2=constrain(pos2,52,130);
      servo1.write(pos1);              //  Mettre servo1 à pos1 
      servo2.write(pos2);              //  Mettre servo2 à pos2 
    }          
} 



boolean Reception() {                     // Exemple du message reçu : "15;45;/n"
   
  if (!Serial.available()) return false; // Si aucun caractère disponible dans le buffer fin du sous programme
  pos1=Serial.parseInt();                // Premier entier rencontré pos1 = 15 il reste alors dans le buffer ";45;/n"
  pos2=Serial.parseInt();                // Deuxième entier rencontré pos2 = 45 il reste alors dans le buffer ";/n"
  while (Serial.available()) Serial.read(); // On vide le reste du buffer càd ";/n"
  Serial.print("Servo1 = "); Serial.print(pos1);
  Serial.print("\t Servo2 = "); Serial.println(pos2);
  return true;}

